View Issue Details

IDProjectCategoryView StatusLast Update
0000027FFP (Allgemein)Routerpublic2017-01-24 11:40
ReporterCarstenAssigned ToCarsten 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionnot fixable 
PlatformWR1043OSKathleenOS Version0.2.0
Summary0000027: Regelmäßige Abstürze des WR1043v1 und v2
DescriptionRouter des Modells WR1043 v1 und v2 stürzen regelmäßig ab, so das sie auf keinem Weg mehr erreichbar sind. Nur das Trennen der Stromversorgung erweckt sie wieder zum Leben.
Der Fehler besteht aktuell unter Kathleen 0.1.x und 0.2.0
TagsNo tags attached.

Activities

Carsten

2016-09-23 10:55

administrator  

254-89-test-telvor.png (134,640 bytes)
254-89-test-telvor.png (134,640 bytes)

Carsten

2016-09-23 10:55

administrator   ~0000030

Zum Testen habe ich einen WR1043v1 aufgesetzt und lasse ihn als Batman-Client im Netz TelVor@Freifunk-Potsdam mitlaufen.
Angefangen habe ich mit dem normalen Setup unter Kathleen 0.2.0 Nach ca 3 Stunden war der Router schon nicht mehr erreichbar, lies ihn aber noch weiterlaufen, da noch Daten an Grafana übermittelt wurden.
Später spielte ich dann das Backbone-Image als upgrade auf den Router. Im angehangenen Diagramm ist zu erkennen, dass der Ram des Routers sich mit dem Backbone-Image wesentlich ruhiger verhält. Allgemein ist zu erkennen, dass das Backbone-Image ein Müh weniger Resourcen verbraucht.

Beobachtung läuft weiter.

Carsten

2016-10-10 17:23

administrator   ~0000042

Nach 16 Tagen komplett ausgefallen. Nur die Power-LED leuchtete noch. Sonst keine Reaktion mehr.

Carsten

2016-10-10 17:25

administrator  

kernel.warn_1.txt (12,416 bytes)
Mon Oct 10 17:20:29 2016 user.notice ffp-collect: uploading /tmp/collstat/1476111060.cff.xml...
Mon Oct 10 17:20:31 2016 user.notice ffp-collect: uploading /tmp/collstat/1476112447.cff.xml...
Mon Oct 10 17:20:35 2016 user.notice ffp-collect: uploading /tmp/collstat/1476112570.cff.xml...
Mon Oct 10 17:20:36 2016 user.notice ffp-collect: uploading /tmp/collstat/1476112501.cff.xml...
Mon Oct 10 17:20:40 2016 user.notice ffp-collect: uploading /tmp/collstat/1476112682.cff.xml...
Mon Oct 10 17:20:40 2016 user.notice ffp-collect: uploading /tmp/collstat/1476112634.cff.xml...
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  485.950000] ffp-collect invoked oom-killer: gfp_mask=0x2000d0, order=1, oom_score_adj=0
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  485.960000] CPU: 0 PID: 3642 Comm: ffp-collect Not tainted 3.18.29 #2
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  485.960000] Stack : 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  485.960000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  485.960000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  485.960000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  485.960000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  485.960000] 	  ...
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  486.000000] Call Trace:[<80070bcc>] 0x80070bcc
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  486.000000] [<80070bcc>] 0x80070bcc
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  486.010000] [<800c64f0>] 0x800c64f0
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  486.010000] [<800c6858>] 0x800c6858
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  486.010000] [<800c6fe8>] 0x800c6fe8
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  486.020000] [<800ca1bc>] 0x800ca1bc
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  486.020000] [<8007e128>] 0x8007e128
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  486.020000] [<8007f224>] 0x8007f224
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  486.030000] [<80062b5c>] 0x80062b5c
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  486.030000] 
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  486.030000] Mem-Info:
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  486.040000] Normal per-cpu:
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  486.040000] CPU    0: hi:    0, btch:   1 usd:   0
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  486.040000] active_anon:1619 inactive_anon:32 isolated_anon:0
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  486.040000]  active_file:58 inactive_file:59 isolated_file:0
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  486.040000]  unevictable:0 dirty:0 writeback:0 unstable:0
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  486.040000]  free:774 slab_reclaimable:207 slab_unreclaimable:1721
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  486.040000]  mapped:1 shmem:186 pagetables:197 bounce:0
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  486.040000]  free_cma:0
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  486.070000] Normal free:3076kB min:676kB low:844kB high:1012kB active_anon:6476kB inactive_anon:128kB active_file:232kB inactive_file:236kB unevictable:0kB isolated(anon):0kB isolated(file):0kB present:32768kB managed:29072kB mlocked:0kB dirty:0kB writeback:0kB mapped:4kB shmem:744kB slab_reclaimable:828kB slab_unreclaimable:6896kB kernel_stack:688kB pagetables:788kB unstable:0kB bounce:0kB free_cma:0kB writeback_tmp:0kB pages_scanned:0 all_unreclaimable? no
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  486.120000] lowmem_reserve[]: 0 0
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  486.120000] Normal: 726*4kB (EMR) 9*8kB (R) 2*16kB (R) 0*32kB 1*64kB (R) 0*128kB 0*256kB 0*512kB 0*1024kB 0*2048kB 0*4096kB = 3072kB
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  486.130000] 303 total pagecache pages
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  486.140000] 8192 pages RAM
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  486.140000] 0 pages HighMem/MovableOnly
Mon Oct 10 17:20:49 2016 kern.warn kernel: [  486.140000] 924 pages reserved
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.150000] [ pid ]   uid  tgid total_vm      rss nr_ptes swapents oom_score_adj name
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.150000] [  390]     0   390      224       17       4        0             0 ubusd
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.160000] [  391]     0   391      193       13       3        0             0 askfirst
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.170000] [  837]     0   837      261       37       4        0             0 logd
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.180000] [  846]     0   846      383       42       3        0             0 rpcd
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.190000] [  880]     0   880      391       55       5        0             0 netifd
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.190000] [  905]     0   905      291       39       3        0             0 odhcpd
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.200000] [  946]     0   946      288       19       5        0             0 dropbear
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.210000] [  994]     0   994      556       64       4        0             0 uhttpd
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.220000] [ 1226] 65534  1226      234       27       6        0             0 dnsmasq
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.230000] [ 1408]     0  1408      466       44       4        0             0 hostapd
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.240000] [ 1442]     0  1442     2951       45       5        0             0 collectd
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.240000] [ 1515]     0  1515      342       20       4        0             0 crond
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.250000] [ 1566]     0  1566      341       18       4        0             0 ntpd
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.260000] [ 1626]     0  1626      252       25       4        0             0 vnstatd
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.270000] [ 1694]     0  1694      974       64       5        0             0 olsrd
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.280000] [ 2200]     0  2200      340       17       4        0             0 udhcpc
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.290000] [ 3106]     0  3106      305       37       4        0             0 dropbear
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.290000] [ 3265]     0  3265      341       19       4        0             0 ash
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.300000] [ 3303]     0  3303      340       17       3        0             0 sh
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.310000] [ 3308]     0  3308      361       39       3        0             0 ffp-collect
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.320000] [ 3337]     0  3337      823      267       4        0             0 luci
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.330000] [ 3426]     0  3426      298       34       4        0             0 logread
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.330000] [ 3483]     0  3483      361       39       3        0             0 ffp-collect
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.340000] [ 3498]     0  3498      361       39       3        0             0 ffp-collect
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.350000] [ 3520]     0  3520      338       14       3        0             0 sleep
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.360000] [ 3521]     0  3521      361       39       3        0             0 ffp-collect
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.370000] [ 3558]     0  3558      361       39       3        0             0 ffp-collect
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.380000] [ 3562]     0  3562      361       39       3        0             0 ffp-collect
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.390000] [ 3567]     0  3567      361       39       3        0             0 ffp-collect
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.390000] [ 3568]     0  3568      361       40       3        0             0 ffp-collect
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.400000] [ 3569]     0  3569      338       14       4        0             0 sleep
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.410000] [ 3571]     0  3571      340       18       4        0             0 nc
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.420000] [ 3572]     0  3572      340       16       4        0             0 tail
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.430000] [ 3573]     0  3573      361       39       3        0             0 ffp-collect
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.440000] [ 3584]     0  3584      361       39       3        0             0 ffp-collect
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.440000] [ 3591]     0  3591      338       14       3        0             0 sleep
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.450000] [ 3606]     0  3606      361       39       3        0             0 ffp-collect
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.460000] [ 3611]     0  3611      361       39       3        0             0 ffp-collect
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.470000] [ 3612]     0  3612      361       40       3        0             0 ffp-collect
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.480000] [ 3613]     0  3613      340       18       4        0             0 nc
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.490000] [ 3614]     0  3614      340       16       4        0             0 tail
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.490000] [ 3616]     0  3616      338       14       3        0             0 sleep
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.500000] [ 3617]     0  3617      361       39       3        0             0 ffp-collect
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.510000] [ 3628]     0  3628      117        3       3        0             0 rm
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.520000] [ 3632]     0  3632      361       40       3        0             0 ffp-collect
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.530000] [ 3634]     0  3634      107        2       2        0             0 wc
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.530000] [ 3635]     0  3635      361       39       3        0             0 ffp-collect
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.540000] [ 3636]     0  3636      338       14       3        0             0 sleep
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.550000] [ 3637]     0  3637      339       15       4        0             0 logger
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.560000] [ 3638]     0  3638      361       39       3        0             0 ffp-collect
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.570000] [ 3639]     0  3639      361       40       3        0             0 ffp-collect
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.580000] [ 3640]     0  3640      338       14       3        0             0 sleep
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.590000] [ 3642]     0  3642      361       40       3        0             0 ffp-collect
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.590000] [ 3644]     0  3644      107        1       2        0             0 nc
Mon Oct 10 17:20:49 2016 kern.info kernel: [  486.600000] [ 3645]     0  3645      361       39       3        0             0 ffp-collect
Mon Oct 10 17:20:49 2016 kern.err kernel: [  486.610000] Out of memory: Kill process 3337 (luci) score 36 or sacrifice child
Mon Oct 10 17:20:49 2016 kern.err kernel: [  486.620000] Killed process 3337 (luci) total-vm:3292kB, anon-rss:1068kB, file-rss:0kB
Mon Oct 10 17:20:52 2016 user.notice ffp-collect: uploading /tmp/collstat/1476112741.cff.xml...
Mon Oct 10 17:20:58 2016 user.notice ffp-collect: uploading /tmp/collstat/1476112801.cff.xml...
Mon Oct 10 17:20:59 2016 user.notice ffp-collect: uploading /tmp/collstat/1476112801.info.cff.xml...

kernel.warn_1.txt (12,416 bytes)

Carsten

2016-10-10 17:25

administrator   ~0000043

Last edited: 2016-10-10 17:27

View 2 revisions

Kernelwarnungen durch ffp-collect verursacht
https://mantis.freifunk-potsdam.de/file_download.php?file_id=3&type=bug

seth0r

2016-10-12 09:45

administrator   ~0000048

ffp-collect hat nur den anstoss gegeben, der oom killer hat dann luci gekillt, die hatte grade am meisten im ram, collectd ist auch auffaellig gross, das brauchen wir eh nicht, und koennten wir ausschalten.

Carsten

2016-10-18 19:08

administrator  

chipsatz.jpg (60,414 bytes)
chipsatz.jpg (60,414 bytes)

Carsten

2016-10-18 19:09

administrator   ~0000049

Anscheinend sind hauptsächlich die Chipsätze ARxxxx betroffen (bis auf einer)(siehe: chipsatz.jpg).

bernd

2016-10-24 20:20

administrator   ~0000050

Ich kann Carstens Beobachtungen bestätigen.
Habe gerade Last auf dem 254.62-kontext gemacht, das gateway 254.48 rebootet und dann das logread gezogen, man sieht das der Speicher beim ffp-collect überläuft. Dann beginnt er wild Prozesse abzuschießen. Er kriegt sich wieder ein aber beim anschließenden ffp-collect upload per Hand schießt es ihn dann ab. Siehe auch angehängte Datei....

254.62-crash.txt (21,267 bytes)
root@254-62-kontext:~# logread
Mon Oct 24 19:38:19 2016 kern.info kernel: [58059.850000] [18106]     0 18106      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58059.860000] [18111]     0 18111      339       15       3        0             0 killall
Mon Oct 24 19:38:19 2016 kern.info kernel: [58059.870000] [18113]     0 18113      340       17       4        0             0 nc
Mon Oct 24 19:38:19 2016 kern.info kernel: [58059.880000] [18114]     0 18114      340       16       3        0             0 tail
Mon Oct 24 19:38:19 2016 kern.info kernel: [58059.880000] [18132]     0 18132      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58059.890000] [18135]     0 18135      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58059.900000] [18140]     0 18140      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58059.910000] [18142]     0 18142      340       18       4        0             0 nc
Mon Oct 24 19:38:19 2016 kern.info kernel: [58059.920000] [18143]     0 18143      340       16       4        0             0 tail
Mon Oct 24 19:38:19 2016 kern.info kernel: [58059.930000] [18145]     0 18145      338       14       3        0             0 sleep
Mon Oct 24 19:38:19 2016 kern.info kernel: [58059.930000] [18161]     0 18161      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58059.940000] [18164]     0 18164      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58059.950000] [18169]     0 18169      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58059.960000] [18170]     0 18170      338       14       3        0             0 sleep
Mon Oct 24 19:38:19 2016 kern.info kernel: [58059.970000] [18172]     0 18172      340       17       4        0             0 nc
Mon Oct 24 19:38:19 2016 kern.info kernel: [58059.970000] [18173]     0 18173      340       16       4        0             0 tail
Mon Oct 24 19:38:19 2016 kern.info kernel: [58059.980000] [18190]     0 18190      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58059.990000] [18193]     0 18193      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.000000] [18198]     0 18198      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.010000] [18200]     0 18200      340       18       4        0             0 nc
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.020000] [18201]     0 18201      340       16       4        0             0 tail
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.020000] [18203]     0 18203      338       14       3        0             0 sleep
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.030000] [18219]     0 18219      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.040000] [18222]     0 18222      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.050000] [18227]     0 18227      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.060000] [18229]     0 18229      340       18       4        0             0 nc
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.070000] [18230]     0 18230      340       16       3        0             0 tail
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.070000] [18232]     0 18232      338       14       3        0             0 sleep
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.080000] [18248]     0 18248      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.090000] [18251]     0 18251      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.100000] [18256]     0 18256      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.110000] [18258]     0 18258      340       18       4        0             0 nc
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.110000] [18260]     0 18260      338       14       3        0             0 sleep
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.120000] [18261]     0 18261      340       16       4        0             0 tail
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.130000] [18277]     0 18277      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.140000] [18280]     0 18280      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.150000] [18285]     0 18285      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.160000] [18287]     0 18287      340       17       4        0             0 nc
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.160000] [18288]     0 18288      340       16       3        0             0 tail
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.170000] [18290]     0 18290      338       14       4        0             0 sleep
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.180000] [18306]     0 18306      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.190000] [18310]     0 18310      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.200000] [18315]     0 18315      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.210000] [18316]     0 18316      338       14       3        0             0 sleep
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.210000] [18319]     0 18319      340       17       4        0             0 nc
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.220000] [18320]     0 18320      340       16       4        0             0 tail
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.230000] [18336]     0 18336      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.240000] [18338]     0 18338      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.250000] [18344]     0 18344      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.250000] [18346]     0 18346      340       18       3        0             0 nc
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.260000] [18347]     0 18347      340       16       4        0             0 tail
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.270000] [18349]     0 18349      338       14       3        0             0 sleep
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.280000] [18365]     0 18365      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.290000] [18368]     0 18368      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.300000] [18373]     0 18373      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.300000] [18375]     0 18375      340       18       3        0             0 nc
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.310000] [18376]     0 18376      340       16       4        0             0 tail
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.320000] [18378]     0 18378      338       14       3        0             0 sleep
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.330000] [18394]     0 18394      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.340000] [18397]     0 18397      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.350000] [18402]     0 18402      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.350000] [18405]     0 18405      338       14       3        0             0 sleep
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.360000] [18409]     0 18409      340       18       3        0             0 nc
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.370000] [18410]     0 18410      340       16       3        0             0 tail
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.380000] [18424]     0 18424      340       17       4        0             0 sh
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.390000] [18425]     0 18425      359       36       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.390000] [18427]     0 18427      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.400000] [18430]     0 18430      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.410000] [18438]     0 18438      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.420000] [18440]     0 18440      340       17       3        0             0 nc
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.430000] [18441]     0 18441      340       16       4        0             0 tail
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.440000] [18444]     0 18444      338       14       3        0             0 sleep
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.440000] [18450]     0 18450      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.450000] [18456]     0 18456      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.460000] [18464]     0 18464      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.470000] [18468]     0 18468      338       14       3        0             0 sleep
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.480000] [18471]     0 18471      340       17       5        0             0 nc
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.480000] [18472]     0 18472      340       16       5        0             0 tail
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.490000] [18492]     0 18492      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.500000] [18495]     0 18495      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.510000] [18496]     0 18496      338       14       3        0             0 sleep
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.520000] [18497]     0 18497      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.530000] [18502]     0 18502      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.530000] [18504]     0 18504      340       18       4        0             0 nc
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.540000] [18505]     0 18505      340       16       3        0             0 tail
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.550000] [18507]     0 18507      338       14       4        0             0 sleep
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.560000] [18521]     0 18521      359       37       4        0             0 ffp-collect
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.570000] [18522]     0 18522      117        6       3        0             0 logger
Mon Oct 24 19:38:19 2016 kern.info kernel: [58060.580000] [18523]     0 18523      117        4       3        0             0 sleep
Mon Oct 24 19:38:19 2016 kern.err kernel: [58060.580000] Out of memory: Kill process 2167 (olsrd) score 13 or sacrifice child
Mon Oct 24 19:38:19 2016 kern.err kernel: [58060.590000] Killed process 2167 (olsrd) total-vm:4012kB, anon-rss:376kB, file-rss:0kB
Mon Oct 24 19:38:22 2016 user.notice ffp-collect: uploading /tmp/collstat/1477329961.cff.xml failed, zipping...
Mon Oct 24 19:38:22 2016 user.notice ffp-collect: uploading /tmp/collstat/1477329841.cff.xml failed, zipping...
Mon Oct 24 19:38:22 2016 user.notice ffp-collect: uploading /tmp/collstat/1477329421.cff.xml failed, zipping...
Mon Oct 24 19:38:22 2016 user.notice ffp-collect: uploading /tmp/collstat/1477329781.cff.xml failed, zipping...
Mon Oct 24 19:38:22 2016 user.notice ffp-collect: uploading /tmp/collstat/1477330081.cff.xml failed, zipping...
Mon Oct 24 19:38:22 2016 user.notice ffp-collect: uploading /tmp/collstat/1477329481.cff.xml failed, zipping...
Mon Oct 24 19:38:22 2016 user.notice ffp-collect: uploading /tmp/collstat/1477330021.cff.xml failed, zipping...
Mon Oct 24 19:38:22 2016 user.notice ffp-collect: uploading /tmp/collstat/1477329661.cff.xml failed, zipping...
Mon Oct 24 19:38:22 2016 user.notice ffp-collect: uploading /tmp/collstat/1477329541.cff.xml failed, zipping...
Mon Oct 24 19:38:22 2016 user.notice ffp-collect: uploading /tmp/collstat/1477329601.cff.xml failed, zipping...
Mon Oct 24 19:38:22 2016 user.notice ffp-collect: uploading /tmp/collstat/1477329721.cff.xml failed, zipping...
Mon Oct 24 19:38:22 2016 user.notice ffp-collect: uploading /tmp/collstat/1477329901.cff.xml failed, zipping...
Mon Oct 24 19:38:23 2016 user.notice ffp-collect: uploading /tmp/collstat/1477330261.cff.xml...
Mon Oct 24 19:38:24 2016 user.notice ffp-collect: uploading /tmp/collstat/1477330321.cff.xml...
Mon Oct 24 19:38:24 2016 user.notice ffp-collect: uploading /tmp/collstat/1477330381.cff.xml...
Mon Oct 24 19:38:26 2016 user.notice ffp-collect: uploading /tmp/collstat/1477330441.cff.xml...
Mon Oct 24 19:38:27 2016 user.notice ffp-collect: uploading /tmp/collstat/1477330501.cff.xml...
Mon Oct 24 19:38:28 2016 user.notice ffp-collect: uploading /tmp/collstat/1477330561.cff.xml...
Mon Oct 24 19:38:29 2016 user.notice ffp-collect: uploading /tmp/collstat/1477330621.cff.xml...
Mon Oct 24 19:38:30 2016 user.notice ffp-collect: uploading /tmp/collstat/1477330621.info.cff.xml...
Mon Oct 24 19:38:36 2016 user.notice ffp-collect: uploading /tmp/collstat/1477330141.cff.xml failed, zipping...
Mon Oct 24 19:38:36 2016 user.notice ffp-collect: uploading /tmp/collstat/1477330201.cff.xml failed, zipping...
Mon Oct 24 19:38:37 2016 user.notice ffp-collect: uploading /tmp/collstat/1477330261.cff.xml failed, zipping...
Mon Oct 24 19:38:38 2016 user.notice ffp-collect: uploading /tmp/collstat/1477330321.cff.xml failed, zipping...
Mon Oct 24 19:38:39 2016 user.notice ffp-collect: uploading /tmp/collstat/1477330381.cff.xml failed, zipping...
Mon Oct 24 19:38:40 2016 user.notice ffp-collect: uploading /tmp/collstat/1477330441.cff.xml failed, zipping...
Mon Oct 24 19:38:40 2016 user.notice ffp-collect: uploading /tmp/collstat/1477330621.info.cff.xml failed, zipping...
Mon Oct 24 19:38:41 2016 user.notice ffp-collect: uploading /tmp/collstat/1477330501.cff.xml failed, zipping...
Mon Oct 24 19:38:42 2016 user.notice ffp-collect: uploading /tmp/collstat/1477330561.cff.xml failed, zipping...
Mon Oct 24 19:38:43 2016 user.notice ffp-collect: uploading /tmp/collstat/1477330621.cff.xml failed, zipping...
Mon Oct 24 19:39:01 2016 cron.info crond[2106]: crond: USER root pid 18949 cmd /usr/sbin/ffwatchd running || /etc/init.d/freifunk-watchdog restart
Mon Oct 24 19:39:01 2016 cron.info crond[2106]: crond: USER root pid 18950 cmd /etc/init.d/ffp-collect collect
Mon Oct 24 19:39:40 2016 authpriv.info dropbear[19090]: Child connection from 10.22.69.204:54340
Mon Oct 24 19:39:49 2016 authpriv.notice dropbear[19090]: Password auth succeeded for 'root' from 10.22.69.204:54340
Mon Oct 24 19:40:01 2016 cron.info crond[2106]: crond: USER root pid 19106 cmd killall -HUP dnsmasq
Mon Oct 24 19:40:01 2016 cron.info crond[2106]: crond: USER root pid 19107 cmd /usr/sbin/ff_olsr_watchdog
Mon Oct 24 19:40:01 2016 cron.info crond[2106]: crond: USER root pid 19109 cmd /usr/sbin/ffwatchd running || /etc/init.d/freifunk-watchdog restart
Mon Oct 24 19:40:01 2016 cron.info crond[2106]: crond: USER root pid 19110 cmd /etc/init.d/ffp-collect collect
Mon Oct 24 19:40:02 2016 daemon.info dnsmasq[1509]: read /etc/hosts - 1 addresses
Mon Oct 24 19:40:02 2016 daemon.info dnsmasq[1509]: read /tmp/hosts/olsr - 41 addresses
Mon Oct 24 19:40:02 2016 daemon.info dnsmasq[1509]: read /tmp/hosts/dhcp - 2 addresses
Mon Oct 24 19:40:02 2016 daemon.info dnsmasq-dhcp[1509]: read /etc/ethers - 0 addresses
Mon Oct 24 19:40:02 2016 user.notice OLSR watchdog: Process died - restarting!
Mon Oct 24 19:40:04 2016 daemon.info olsrd[19138]: Writing '1' (was 1) to /proc/sys/net/ipv4/ip_forward
Mon Oct 24 19:40:04 2016 daemon.info olsrd[19138]: Writing '0' (was 0) to /proc/sys/net/ipv4/conf/all/send_redirects
Mon Oct 24 19:40:04 2016 daemon.info olsrd[19138]: Writing '0' (was 0) to /proc/sys/net/ipv4/conf/all/rp_filter
Mon Oct 24 19:40:04 2016 daemon.info olsrd[19138]: Writing '0' (was 0) to /proc/sys/net/ipv4/conf/wlan0-adhoc-2/send_redirects
Mon Oct 24 19:40:04 2016 daemon.info olsrd[19138]: Writing '0' (was 0) to /proc/sys/net/ipv4/conf/wlan0-adhoc-2/rp_filter
Mon Oct 24 19:40:04 2016 daemon.info olsrd[19138]: Adding interface wlan0-adhoc-2
Mon Oct 24 19:40:04 2016 daemon.info olsrd[19138]: New main address: 10.22.254.62
Mon Oct 24 19:40:04 2016 daemon.info olsrd[19138]: olsr.org - 0.9.0.2-git_229d60f-hash_1dbadd3cfd4d4778dc83fa2dafb5f8b5 successfully started
Mon Oct 24 19:40:57 2016 authpriv.info dropbear[19090]: Exit (root): Disconnect received
Mon Oct 24 19:41:01 2016 cron.info crond[2106]: crond: USER root pid 19291 cmd /usr/sbin/ffwatchd running || /etc/init.d/freifunk-watchdog restart
Mon Oct 24 19:41:01 2016 cron.info crond[2106]: crond: USER root pid 19292 cmd /etc/init.d/ffp-collect collect
Mon Oct 24 19:41:39 2016 authpriv.info dropbear[19455]: Child connection from 10.22.69.204:54441
Mon Oct 24 19:41:47 2016 authpriv.notice dropbear[19455]: Password auth succeeded for 'root' from 10.22.69.204:54441


oben sieht man das er den olsrd abschießt und wieder neu startet. danach läuft er weiter und gibt immer wieder unten zu sehnde Fehlermeldung aus:



Mon Oct 24 19:42:01 2016 cron.info crond[2106]: crond: USER root pid 19481 cmd /usr/sbin/ffwatchd running || /etc/init.d/freifunk-watchdog restart
Mon Oct 24 19:42:01 2016 cron.info crond[2106]: crond: USER root pid 19482 cmd /etc/init.d/ffp-collect collect
Mon Oct 24 19:42:56 2016 kern.err kernel: [58343.910000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Mon Oct 24 19:43:01 2016 cron.info crond[2106]: crond: USER root pid 19654 cmd /usr/sbin/ffwatchd running || /etc/init.d/freifunk-watchdog restart
Mon Oct 24 19:43:01 2016 cron.info crond[2106]: crond: USER root pid 19655 cmd /etc/init.d/ffp-collect collect
Mon Oct 24 19:44:02 2016 cron.info crond[2106]: crond: USER root pid 19828 cmd /usr/sbin/ffwatchd running || /etc/init.d/freifunk-watchdog restart
Mon Oct 24 19:44:02 2016 cron.info crond[2106]: crond: USER root pid 19829 cmd /etc/init.d/ffp-collect collect
Mon Oct 24 19:44:34 2016 kern.err kernel: [58442.120000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Mon Oct 24 19:45:01 2016 cron.info crond[2106]: crond: USER root pid 20001 cmd killall -HUP dnsmasq
Mon Oct 24 19:45:01 2016 cron.info crond[2106]: crond: USER root pid 20002 cmd /usr/sbin/ff_olsr_watchdog
Mon Oct 24 19:45:01 2016 cron.info crond[2106]: crond: USER root pid 20003 cmd /usr/sbin/ffwatchd running || /etc/init.d/freifunk-watchdog restart
Mon Oct 24 19:45:01 2016 cron.info crond[2106]: crond: USER root pid 20005 cmd /etc/init.d/ffp-collect collect
Mon Oct 24 19:45:01 2016 daemon.info dnsmasq[1509]: read /etc/hosts - 1 addresses
Mon Oct 24 19:45:01 2016 daemon.info dnsmasq[1509]: read /tmp/hosts/olsr - 21 addresses
Mon Oct 24 19:45:01 2016 daemon.info dnsmasq[1509]: read /tmp/hosts/dhcp - 2 addresses
Mon Oct 24 19:45:01 2016 daemon.info dnsmasq-dhcp[1509]: read /etc/ethers - 0 addresses
Mon Oct 24 19:46:01 2016 cron.info crond[2106]: crond: USER root pid 20178 cmd /usr/sbin/ffwatchd running || /etc/init.d/freifunk-watchdog restart
Mon Oct 24 19:46:01 2016 cron.info crond[2106]: crond: USER root pid 20179 cmd /etc/init.d/ffp-collect collect
Mon Oct 24 19:47:01 2016 cron.info crond[2106]: crond: USER root pid 20351 cmd /usr/sbin/ffwatchd running || /etc/init.d/freifunk-watchdog restart
Mon Oct 24 19:47:01 2016 cron.info crond[2106]: crond: USER root pid 20352 cmd /etc/init.d/ffp-collect collect
Mon Oct 24 19:47:16 2016 kern.err kernel: [58604.730000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Mon Oct 24 19:48:01 2016 cron.info crond[2106]: crond: USER root pid 20538 cmd /usr/sbin/ffwatchd running || /etc/init.d/freifunk-watchdog restart
Mon Oct 24 19:48:01 2016 cron.info crond[2106]: crond: USER root pid 20539 cmd /etc/init.d/ffp-collect collect



beim ffp-collect upload (per Hand) gab es dann einen reboot


254.62-crash.txt (21,267 bytes)

Carsten

2016-11-29 17:00

administrator   ~0000059

Last edited: 2016-11-29 19:57

View 2 revisions

Auf 254-89-test-telvor läuft jetzt Kathleen 0.2.0
- nach wenigen Stunden ist er wieder eingefroren
- alles was collectd ist habe ich runter gehauen
-- beobachten
-> Nach 2-3 Stunden gestorben :(

Carsten

2017-01-20 10:49

administrator   ~0000060

Wird aufgegeben und die WR1043 werden aussortiert und verkauft. Der erlös wird in die Finanzierung neuer Router einfließen.

Issue History

Date Modified Username Field Change
2016-09-23 10:51 Carsten New Issue
2016-09-23 10:51 Carsten Status new => assigned
2016-09-23 10:51 Carsten Assigned To => Carsten
2016-09-23 10:55 Carsten File Added: 254-89-test-telvor.png
2016-09-23 10:55 Carsten Note Added: 0000030
2016-09-23 10:56 Carsten Status assigned => confirmed
2016-10-10 17:23 Carsten Note Added: 0000042
2016-10-10 17:25 Carsten File Added: kernel.warn_1.txt
2016-10-10 17:25 Carsten Note Added: 0000043
2016-10-10 17:27 Carsten Note Edited: 0000043 View Revisions
2016-10-12 09:45 seth0r Note Added: 0000048
2016-10-18 19:08 Carsten File Added: chipsatz.jpg
2016-10-18 19:09 Carsten Note Added: 0000049
2016-10-24 20:20 bernd File Added: 254.62-crash.txt
2016-10-24 20:20 bernd Note Added: 0000050
2016-11-29 17:00 Carsten Note Added: 0000059
2016-11-29 19:57 Carsten Note Edited: 0000059 View Revisions
2017-01-20 10:48 Carsten Status confirmed => resolved
2017-01-20 10:49 Carsten Resolution open => fixed
2017-01-20 10:49 Carsten Note Added: 0000060
2017-01-24 11:40 Carsten Status resolved => closed
2017-01-24 11:40 Carsten Resolution fixed => not fixable